<section class="app-pagination">
  <div class="d-flex pagination  flex-sm-row flex-column">
    <div class="d-flex align-items-center">
      <div class="px-3">Tampilkan</div>
      <ng-select class="select"
                 #perPage
                 [searchable]="false"
                 [clearable]="false"
                 [items]="per10to25Option"
                 bindValue="value"
                 bindLabel="label"
                 placeholder="Per Halaman"
                 (change)="filterPerPage($event)"
                 [(ngModel)]="filter.perPage">
      </ng-select>
      <div class="pe-2">Item</div>
      <div class="border-left border-right p-2 d-none d-md-block">dari total <strong>{{ filter.totalItems }}</strong>
      </div>
    </div>

    <div class="ms-auto d-flex align-items-center">
      <span class="px-3">Halaman</span>
      <ng-select class="select mx-2"
                 #perPage
                 [searchable]="false"
                 [clearable]="false"
                 [items]="pageNumberOption"
                 bindValue="value"
                 bindLabel="label"
                 placeholder="Halaman"
                 (change)="filterPage($event)"
                 [(ngModel)]="filter.currentPage"></ng-select>
      <div class="me-3 d-none d-md-block">dari {{filter.totalPage}}</div>
      <div class="border-left border-right py-2 px-3">
        <fa-icon [ngClass]="{'disabled': filter.currentPage === 1}"
                 [icon]="icons.faChevronLeft"></fa-icon>
      </div>
      <div class="py-2 px-3">
        <fa-icon [ngClass]="{'disabled': filter.currentPage === filter.totalPage}"
                 [icon]="icons.faChevronRight"></fa-icon>
      </div>
    </div>
  </div>

</section>